post
https://api.goformz.com/v2/templates//publicforms
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Creates a public link to a Template-based Public Form. The link can be used multiple times: each time someone submits it, a new form is created from the template.
To see the difference between template and form public forms, see About Public Forms.
If successful, the server responds with HTTP Status Code 201 (Created) and the public form's id and url.
Example request
{
"name": "Service Request",
"editableFields": ["Customer Name", "Phone", "Description"],
"viewType": "List",
"expirationDate": "2026-12-31T23:59:59Z",
"sharePdfAfterSubmission": true,
"advanceJourney": true
}Example response
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://goformz.com/us/s/wpCFkNc3IsjKZ5YqvQ"
} 200